#!/bin/sh
if [ -f data/db/postmaster.pid ]
then
  echo "already started"
  exit
fi

INIT=0
if [ ! -d data/db ]
then
  mkdir -p data
  initdb --locale=C -E UTF-8 data/db
  INIT=1
fi

pg_ctl -D data/db -l data/db.log start

if [ "$INIT" == "1" ]
then
  sleep 2
  createdb photos
  createuser photos
fi
